org.tmatesoft.svn.core.wc.admin

## Class SVNUUIDAction

- java.lang.Object
- - org.tmatesoft.svn.core.wc.admin.SVNUUIDAction

    public class SVNUUIDAction
    extends java.lang.Object

The SVNUUIDAction class is an enumeration of possible actions that SVNAdminClient can perform with uuids when loading a dumpstream.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

### Field Summary

Fields
`static SVNUUIDAction` `DEFAULT` A default behaviour: any met uuid is ignored unless the latest revision of the target repository is 0.
`static SVNUUIDAction` `FORCE_UUID` A command to override the existing uuid with any one met in a dumpstream.
`static SVNUUIDAction` `IGNORE_UUID` A command to ignore any met uuid.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORE_UUID

    public static final SVNUUIDAction IGNORE_UUID

A command to ignore any met uuid.

#### FORCE_UUID

    public static final SVNUUIDAction FORCE_UUID

A command to override the existing uuid with any one met in a dumpstream.

#### DEFAULT

    public static final SVNUUIDAction DEFAULT

A default behaviour: any met uuid is ignored unless the latest revision of the target repository is 0.